ArrayEntryPointResolver (Mule ESB 2.2.1 API)
Keywords: org.mule.model.resolvers.ArrayEntryPointResolver class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.model.resolvers
Class ArrayEntryPointResolver

    java.lang.Object
      org.mule.model.resolvers.AbstractEntryPointResolver
          org.mule.model.resolvers.ReflectionEntryPointResolver
              org.mule.model.resolvers.AbstractArgumentEntryPointResolver
                  org.mule.model.resolvers.ArrayEntryPointResolver

All Implemented Interfaces:
  EntryPointResolver

    public class ArrayEntryPointResolver

extends AbstractArgumentEntryPointResolver

Will resolver entry point methods on a service service that accept a single array. i.e. `public Object eat(Fruit[] fruit)`

This resolver will NOT resolve method entry points such as - `public Object eat(Fruit[] fruit, Banana banana)`

If you require to mix an array type with complex types you need to specify an inbound transformer that return a multi-dimensional array of arguments i.e. `new Object[]{new Fruit[]{new Apple(), new Orange()}, new Banana()};`

Field Summary

Fields inherited from class org.mule.model.resolvers.ReflectionEntryPointResolver
`filter`

Fields inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`logger, methodCache`

Constructor Summary
`ArrayEntryPointResolver()`

Method Summary
`protected Class[]` | `getMethodArgumentTypes(Object[] payload)`
`protected Object[]` | `getPayloadFromMessage(MuleEventContext context)`

Methods inherited from class org.mule.model.resolvers.AbstractArgumentEntryPointResolver
`addMethod, getMethods, invoke, isEnableDiscovery, removeMethod, setEnableDiscovery, setMethods, toString`

Methods inherited from class org.mule.model.resolvers.ReflectionEntryPointResolver
`addIgnoredMethod, getIgnoredMethods, removeIgnoredMethod, setIgnoredMethods`

Methods inherited from class org.mule.model.resolvers.AbstractEntryPointResolver
`addMethodByArguments, addMethodByName, getCacheKeyForPayload, getMethodByArguments, getMethodByName, invokeMethod, isAcceptVoidMethods, isTransformFirst, setAcceptVoidMethods, setTransformFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ArrayEntryPointResolver

    public ArrayEntryPointResolver()

Method Detail

### getMethodArgumentTypes

    protected Class[] getMethodArgumentTypes(Object[] payload)

  Specified by:
    `getMethodArgumentTypes` in class `AbstractArgumentEntryPointResolver`

### getPayloadFromMessage

    protected Object[] getPayloadFromMessage(MuleEventContext context)
                                      throws TransformerException

  Overrides:
    `getPayloadFromMessage` in class `AbstractEntryPointResolver`
  Throws:
    `TransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.